=== debian/changelog ===
ros-indigo-baxtereus (1.1.0-1trusty) trusty; urgency=high

  * baxtereus: test/*.test: time-limit=100000 is too large need to set 300-600 (`#802 <https://github.com/jsk-ros-pkg/jsk_robot/issues/802>`_)
    * test/*.test: time-limit=100000 is too large need to set 300-600
  * [baxtereus] Fix run_depend to pr2eus_moveit (#798 <https://github.com/jsk-ros-pkg/jsk_robot/issues/798>)
    * Fix run_depend to pr2eus_moveit
  * [baxtereus] support tm :fast in moveit angle-vector methods (#789 <https://github.com/jsk-ros-pkg/jsk_robot/issues/789>)
    * angle-vector-sequence accept tms as list of timerelated to https://github.com/jsk-ros-pkg/jsk_robot/pull/791#pullrequestreview-45324124
    
      * test tm :fast angle-vector methods and av-sequence
      * update doc for :angle-vecor methods
      * support tm :fast in moveit angle-vector methods
    
  * [baxtereus] add key :robot in baxter-interface :init (#784 <https://github.com/jsk-ros-pkg/jsk_robot/issues/784>)
    * add key :robot in baxter-interface :init
  * [baxtereus] Use end-coords-interpolation (#747 <https://github.com/jsk-ros-pkg/jsk_robot/issues/747>)
    * Use end-coords-interpolation in baxter-interface
  * [baxtereus][jsk_baxter_startup] add baxter moveit test (#779 <https://github.com/jsk-ros-pkg/jsk_robot/issues/779>)
    * add baxter_sim_controllers as test_depend
    * add gazebo moveit starting time assertion
    * add joint_state_controller as test_depend
    * update cmake and package for baxter moveit test
    * add baxter moveit test
  * [baxtereus] set wait key default as t (#769 <https://github.com/jsk-ros-pkg/jsk_robot/issues/769>)
    * set wait key default as t
  * [baxtereus] add wait key in :start-grasp (#768 <https://github.com/jsk-ros-pkg/jsk_robot/issues/768>)
  * [baxtereus] remove unused baxter-moveit.l (#764 <https://github.com/jsk-ros-pkg/jsk_robot/issues/764>)
    * remove baxter-moveit.l from CMakeLists.txt
    * remove unused baxter-moveit.l, it is replaced in baxter-interface.l
  * [baxtereus] fix bug in :command-grasp and :calib-grasp (#762 <https://github.com/jsk-ros-pkg/jsk_robot/issues/762>)
    * pass pos in :calib-grasp
    * pass arm as symbol to :command-grasp
  * add ik-prepared-poses in baxter class (#748 <https://github.com/jsk-ros-pkg/jsk_robot/issues/748>)
    * baxter-util.l : :ik-prepared-poses, enable to set nil
    * baxter-util.l : self-collision-check, fix symbol  symbol expected for function argument error on compile
    * define :ik-prepared-poses in baxter-robot.l
  * [baxtereus] pass args to angle-vector-motion-plan (#737 <https://github.com/jsk-ros-pkg/jsk_robot/issues/737>)
    * add moveit option in baxter-init
    * pass args to angle-vector-motion-plan in baxtereus
  * [baxtereus] execute raw angle-vector methods in case tm is not number (#734 <https://github.com/jsk-ros-pkg/jsk_robot/issues/734>)
    * execute raw angle-vector in case tm is not numbercommon case is
    (send ri :angle-vector-sequnce avs :fast)
  * [baxtereus] add ctype in angle-vector methods for moveit (#730 <https://github.com/jsk-ros-pkg/jsk_robot/issues/730>)
    * use &key instead of &rest in baxter angle-vectoruse &key instead of &rest args in :angle-vector methods in baxtereus and
    refine codes.
    
      * add ctype in angle-vector-sequence for moveit
      * add ctype in angle-vector for moveit
    
  * [baxtereus] add :angle-vector-sequence for moveit (#728 <https://github.com/jsk-ros-pkg/jsk_robot/issues/728>)
    * fix typo in baxter-util.l
    * add :angle-vector-sequence for moveit:angle-vector-sequence -> :angle-vector-sequence-motion-plan
  * [baxtereus] add :arms for baxter_moveit_config "both_arms" (#731 <https://github.com/jsk-ros-pkg/jsk_robot/issues/731>)
    * add :arms for baxter_moveit_config "both_arms"
  * [baxtereus] Fix bug to pass args in :angle-vector (#729 <https://github.com/jsk-ros-pkg/jsk_robot/issues/729>)
    * fix bug in :angle-vectoruse :move-arm as key and pass other args to other methods
    currently args passing was not proper
    
      * fix typo in baxter-interface
      * remove tab and use space in baxter-interface
      * refine warning message in baxter-interface
    
  * [baxtereus] override :angle-vector and rename existing methods (#721 <https://github.com/jsk-ros-pkg/jsk_robot/issues/721>)
    * override :angle-vector and rename existing methodsBefore                       After
    :angle-vector-motion-plan -> :angle-vector
    :angle-vector             -> :angle-vector-raw
    :angle-vector-sequence    -> :angle-vector-sequence-raw
  * [baxtereus] add moveit init option in baxter-interface (#719 <https://github.com/jsk-ros-pkg/jsk_robot/issues/719>)
    * add moveit config init option in baxter-interfacethis option is needed for customize baxter like jsk_baxter_apc
    
      * add SRDF description in baxter-interface.l
    
  * [baxtereus] add moveit in baxter-interface (#716 <https://github.com/jsk-ros-pkg/jsk_robot/issues/716>)
    * add moveit in baxter-interface
  * Contributors: Kei Okada, Kentaro Wada, Shingo Kitagawa, Shun Hasegawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-baxtereus (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-baxtereus (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-baxtereus (1.0.7-1trusty) trusty; urgency=high

  * JTA insert current position to the first point, this requries https://github.com/RethinkRobotics/baxter_interface/pull/73 (#636 <https://github.com/jsk-ros-pkg/jsk_robot/issues/636>)
  * fix for baxter_interface v1.1.1, which removes limitation on number of points to sent (#635 <https://github.com/jsk-ros-pkg/jsk_robot/issues/635>)

