=== debian/control ===
Source: ros-indigo-baxtereus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baxter-core-msgs, ros-indigo-baxter-gazebo, ros-indigo-baxter-moveit-config, ros-indigo-baxter-sim-controllers, ros-indigo-baxter-sim-io, ros-indigo-catkin, ros-indigo-collada-urdf, ros-indigo-euscollada, ros-indigo-joint-state-controller, ros-indigo-pr2eus, ros-indigo-roseus, ros-indigo-rosgraph-msgs, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-baxtereus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baxter-description, ros-indigo-baxter-interface, ros-indigo-baxter-tools, ros-indigo-collada-urdf, ros-indigo-euscollada, ros-indigo-jsk-baxter-startup, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit, ros-indigo-roseus, ros-indigo-rostest
Description: The baxtereus package
